| eseqboot

## Function

Conversion of PHYLIP's seqboot

## Description

ESEQBOOT -- Bootstrap, Jackknife, or Permutation Resampling of Molecular Sequence, Restriction Site, Gene Frequency or Character Data

Phylip seqboot documentation.

## Usage

Here is a sample session with eseqboot using the data below and replicates are set to 10 and seed to 4331

        5    6
    Alpha     AACAAC
    Beta      AACCCC
    Gamma     ACCAAC
    Delta     CCACCA
    Epsilon   CCAAAC

    % eseqboot test

    Bootstrapped sequences algorithm
    Output file [eseqboot.outfile]: stdout
    Random number seed (must be odd) [3]: 4331
    Method
           Seq : Molecular sequences
           Mor : Discrete Morphology
           Res : Restriction Sites
           Gen : Gene Frequencies
    Choose the method [Seq]:
    test
          Boot : Bootstrap
          Jack : Delete-half Jackknife
          Perm : Permute species for each character
    Choose test [Boot]:
    How many replicates [100]: 10
        5     6
    Alpha        ACCCAC
    Beta         ACCCCC
    Gamma        CCCCAC
    Delta        CAAACA
    Epsilon      CAAAAC
        5     6
    Alpha        AAAACC
    Beta         AACCCC
    Gamma        ACAACC
    Delta        CCCCAA
    Epsilon      CCAACC
        5     6
    Alpha        AAAAAC
    Beta         AACCCC
    Gamma        CCAAAC
    Delta        CCCCCA
    Epsilon      CCAAAC
        5     6
    Alpha        AAAAAA
    Beta         AACCCC
    Gamma        ACAAAA
    Delta        CCCCCC
    Epsilon      CCAAAA
        5     6
    Alpha        ACCCAA
    Beta         ACCCCC
    Gamma        CCCCAA
    Delta        CAAACC
    Epsilon      CAAAAA
        5     6
    Alpha        AAACCC
    Beta         AAACCC
    Gamma        AACCCC
    Delta        CCCAAA
    Epsilon      CCCACC
        5     6
    Alpha        AACAAC
    Beta         AACCCC
    Gamma        ACCAAC
    Delta        CCACCA
    Epsilon      CCAAAC
        5     6
    Alpha        ACCCAA
    Beta         ACCCCC
    Gamma        ACCCAA
    Delta        CAAACC
    Epsilon      CAAAAA
        5     6
    Alpha        AACACC
    Beta         AACCCC
    Gamma        ACCACC
    Delta        CCACAA
    Epsilon      CCAACC
        5     6
    Alpha        AAAACA
    Beta         AAAACC
    Gamma        AAAACA
    Delta        CCCCAC
    Epsilon      CCCCAA

## Command line arguments

       Mandatory qualifiers:
      [-datafile]          infile     Input file
      [-outfile]           outfile    Output file name
       -randseed           integer    Random number seed (must be odd)
       -method             list       Choose the method
       -test               list       Choose test
       -reps               integer    How many replicates

       Optional qualifiers (* if not always prompted):
       -inter              bool       Interleaved input
    *  -enzymes            bool       Present in input file
    *  -all                bool       All alleles present at each locus
       -printdata          bool       Print out the data at start of run
       -progress           bool       Print indications of progress of run

       Advanced qualifiers: (none)

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-datafile] (Parameter 1) | Input file | Input file | Required
[-outfile] (Parameter 2) | Output file name | Output file | eseqboot.outfile
-randseed | Random number seed (must be odd) | Any integer value | 3
-method | Choose the method |
Seq | (Molecular sequences)
Mor | (Discrete Morphology)
Res | (Restriction Sites)
Gen | (Gene Frequencies)
| Seq
-test | Choose test |
Boot | (Bootstrap)
Jack | (Delete-half Jackknife)
Perm | (Permute species for each character)
| Boot
-reps | How many replicates | Integer 1 or more | 100
Optional qualifiers | Allowed values | Default
-inter | Interleaved input | Yes/No | No
-enzymes | Present in input file | Yes/No | No
-all | All alleles present at each locus | Yes/No | No
-printdata | Print out the data at start of run | Yes/No | No
-progress | Print indications of progress of run | Yes/No | No
Advanced qualifiers | Allowed values | Default
(none)

## Data files

## Notes

## References

## Warnings

## Diagnostics

## Exit status

## Known bugs

## See also

## Author(s)

(c) Copyright 1991-1993 by the University of Washington and by Joseph Felsenstein. Written by Joseph Felsenstein. Permission is granted to copy this document provided that no fee is charged for it and that this copyright notice is not removed.

This application was modified for inclusion in EMBOSS by Ian Longden (il@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## Priority

## Target users

## Comments